# Intel® Enhanced Privacy ID SDK: PrivRl Struct Reference

PrivRl Struct Reference
epid » common » types

private-key based revocation list. More...

`#include <epid/common/types.h>`

## Data Fields

GroupId | gid
| group ID
OctStr32 | version
| revocation list version number
OctStr32 | n1
| number of entries in PrivRL
FpElemStr | f [1]
| integers between [1, p-1] (flexible array)

## Detailed Description

private-key based revocation list.

Private-key based revocation list PrivRL: (gid, RLver, n1, f[0], ..., f[n1-1])

Examples:
  verifysig.c.

The documentation for this struct was generated from the following file:

- epid/common/types.h